0 L
                                   ANSI-EGA.MOD

         The IBM EGA is capable of a 43 lines per screen mode when used in
         conjunction with the Enhanced Color Display or the Monochrome
         Display.  However, ANSI.SYS will not handle scrolling properly in
         this mode.  Here are some patches to ANSI.SYS (DOS Version 3.1)
         that I have discovered to fix the problem:

       1. Replace bytes at 29D, 29E, 2A1, and 2A2 with 90H (NOPs).
          This is per Charles Petzolds article re: WAITASEC in PC Magazine
          November 26, 1985, p. 215-222
       2. Replace bytes at 27C, 50C, and 58F with 2BH (sets 43 lines)
       3. Replace byte at 283 with 2AH (sets 42nd line check?)

       4. You'll also need to patch COMMAND.COM so that CLS clears all 43
          lines Unfortunately, I only have the patch for DOS 3.1 (from the
          same PC Mag, p. 235)

          Replace byte at 263B with 2AH (so that 43 lines are cleared)

       NOTE:  To use this revised ANSI.SYS you MUST set the EGA to 43 line
              mode (using 43.COM or SET43.COM).  If you don't, the lower
              18 lines will not appear on the screen and you will be "flying
              blind", as that's where the action usually happens.

       Here are the DEBUG instructions for making the changes:

       DEBUG ANSI43.SYS (a copy of ANSI.SYS)

       E 29D 90 90
       E 2A1 90 90
       E 27C 2B
       E 283 2A
       E 50C 2B
       E 58F 2B
       W
       Q

       DEBUG COMMAND.COM (make a copy!)

       E 263B 2A
       W
       Q
         Reboot with the new ANSI43.SYS, and you should be in business.  It
         seems to work properly so far.  I've even been able to specify
         cursor position commands in the lower 18 lines.

                              Karl Konnerth 76044,354



         [NANSI.SYS is a better alternative to this. If you have trouble
          getting NANSI.SYS to work, then use this patch on ANSI.SYS.]
